Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
TessCallback2< A1, A2 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for TessCallback2< A1, A2 >:

List of all members.

## Public Member Functions

virtual | ~TessCallback2 ()
virtual void | Run (A1, A2)=0

## Detailed Description

### template<class A1, class A2>
class TessCallback2< A1, A2 >

Definition at line 519 of file tesscallback.h.

## Constructor & Destructor Documentation

template<class A1 , class A2 >

virtual TessCallback2< A1, A2 >::~TessCallback2 | ( |  | ) |

inlinevirtual

Definition at line 521 of file tesscallback.h.

{ }

## Member Function Documentation

template<class A1 , class A2 >

virtual void TessCallback2< A1, A2 >::Run | ( | A1 | ,
|  | A2 |
| ) |  |

pure virtual

Implemented in _TessFunctionResultCallback_0_2< del, void, A1, A2 >, _TessMemberResultCallback_0_2< del, void, T, A1, A2 >, and _ConstTessMemberResultCallback_0_2< del, void, T, A1, A2 >.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h